# Uses of Class
java.awt.Cursor

Packages that use Cursor
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.dnd
Drag and Drop is a direct manipulation gesture found in many Graphical User Interface systems that provides a mechanism to transfer information between two entities logically associated with presentation elements in the GUI.
javax.accessibility
Defines a contract between user-interface components and an assistive technology that provides access to those components.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.table
Provides classes and interfaces for dealing with `javax.swing.JTable`.
javax.swing.text.html
Provides the class `HTMLEditorKit` and supporting classes for creating HTML text editors.

## Uses of Cursor in com.sun.java.accessibility.util

Methods in com.sun.java.accessibility.util that return Cursor
Modifier and Type
Method
Description
`Cursor`
Translator.`getCursor()`
Get the `Cursor` of this object.
Methods in com.sun.java.accessibility.util with parameters of type Cursor
Modifier and Type
Method
Description
`void`
Translator.`setCursor(Cursor c)`
Set the `Cursor` of this object.

## Uses of Cursor in java.awt

Fields in java.awt declared as Cursor
Modifier and Type
Field
Description
`protected static Cursor[]`
Cursor.`predefined`
Deprecated.
As of JDK version 1.7, the `getPredefinedCursor(int)` method should be used instead.
Methods in java.awt that return Cursor
Modifier and Type
Method
Description
`Cursor`
Toolkit.`createCustomCursor(Image cursor, Point hotSpot, String name)`
Creates a new custom cursor object.
`Cursor`
Component.AccessibleAWTComponent.`getCursor()`
Gets the `Cursor` of this object.
`Cursor`
Component.`getCursor()`
Gets the cursor set in the component.
`Cursor`
List.AccessibleAWTList.AccessibleAWTListChild.`getCursor()`
Get the Cursor of this object.
`Cursor`
MenuComponent.AccessibleAWTMenuComponent.`getCursor()`
Gets the `Cursor` of this object.
`static Cursor`
Cursor.`getDefaultCursor()`
Return the system default cursor.
`static Cursor`
Cursor.`getPredefinedCursor(int type)`
Returns a cursor object with the specified predefined type.
`static Cursor`
Cursor.`getSystemCustomCursor(String name)`
Returns a system-specific custom cursor object matching the specified name.
Methods in java.awt with parameters of type Cursor
Modifier and Type
Method
Description
`void`
Component.AccessibleAWTComponent.`setCursor(Cursor cursor)`
Sets the `Cursor` of this object.
`void`
Component.`setCursor(Cursor cursor)`
Sets the cursor image to the specified cursor.
`void`
List.AccessibleAWTList.AccessibleAWTListChild.`setCursor(Cursor cursor)`
Set the Cursor of this object.
`void`
MenuComponent.AccessibleAWTMenuComponent.`setCursor(Cursor cursor)`
Sets the `Cursor` of this object.
`void`
Window.`setCursor(Cursor cursor)`
Set the cursor image to a specified cursor.

## Uses of Cursor in java.awt.dnd

Fields in java.awt.dnd declared as Cursor
Modifier and Type
Field
Description
`static final Cursor`
DragSource.`DefaultCopyDrop`
The default `Cursor` to use with a copy operation indicating that a drop is currently allowed.
`static final Cursor`
DragSource.`DefaultCopyNoDrop`
The default `Cursor` to use with a copy operation indicating that a drop is currently not allowed.
`static final Cursor`
DragSource.`DefaultLinkDrop`
The default `Cursor` to use with a link operation indicating that a drop is currently allowed.
`static final Cursor`
DragSource.`DefaultLinkNoDrop`
The default `Cursor` to use with a link operation indicating that a drop is currently not allowed.
`static final Cursor`
DragSource.`DefaultMoveDrop`
The default `Cursor` to use with a move operation indicating that a drop is currently allowed.
`static final Cursor`
DragSource.`DefaultMoveNoDrop`
The default `Cursor` to use with a move operation indicating that a drop is currently not allowed.
Methods in java.awt.dnd that return Cursor
Modifier and Type
Method
Description
`Cursor`
DragSourceContext.`getCursor()`
Returns the current custom drag `Cursor`.
Methods in java.awt.dnd with parameters of type Cursor
Modifier and Type
Method
Description
`protected DragSourceContext`
DragSource.`createDragSourceContext(DragGestureEvent dgl, Cursor dragCursor, Image dragImage, Point imageOffset, Transferable t, DragSourceListener dsl)`
Creates the `DragSourceContext` to handle the current drag operation.
`void`
DragSourceContext.`setCursor(Cursor c)`
Sets the custom cursor for this drag operation to the specified `Cursor`.
`void`
DragGestureEvent.`startDrag(Cursor dragCursor, Transferable transferable)`
Starts the drag operation given the `Cursor` for this drag operation and the `Transferable` representing the source data for this drag operation.
`void`
DragGestureEvent.`startDrag(Cursor dragCursor, Transferable transferable, DragSourceListener dsl)`
Starts the drag given the initial `Cursor` to display, the `Transferable` object, and the `DragSourceListener` to use.
`void`
DragGestureEvent.`startDrag(Cursor dragCursor, Image dragImage, Point imageOffset, Transferable transferable, DragSourceListener dsl)`
Start the drag given the initial `Cursor` to display, a drag `Image`, the offset of the `Image`, the `Transferable` object, and the `DragSourceListener` to use.
`void`
DragSource.`startDrag(DragGestureEvent trigger, Cursor dragCursor, Transferable transferable, DragSourceListener dsl)`
Start a drag, given the `DragGestureEvent` that initiated the drag, the initial `Cursor` to use, the `Transferable` subject data of the drag, and the `DragSourceListener`.
`void`
DragSource.`startDrag(DragGestureEvent trigger, Cursor dragCursor, Transferable transferable, DragSourceListener dsl, FlavorMap flavorMap)`
Start a drag, given the `DragGestureEvent` that initiated the drag, the initial `Cursor` to use, the `Transferable` subject data of the drag, the `DragSourceListener`, and the `FlavorMap`.
`void`
DragSource.`startDrag(DragGestureEvent trigger, Cursor dragCursor, Image dragImage, Point dragOffset, Transferable transferable, DragSourceListener dsl)`
Start a drag, given the `DragGestureEvent` that initiated the drag, the initial `Cursor` to use, the `Image` to drag, the offset of the `Image` origin from the hotspot of the `Cursor` at the instant of the trigger, the subject data of the drag, and the `DragSourceListener`.
`void`
DragSource.`startDrag(DragGestureEvent trigger, Cursor dragCursor, Image dragImage, Point imageOffset, Transferable transferable, DragSourceListener dsl, FlavorMap flavorMap)`
Start a drag, given the `DragGestureEvent` that initiated the drag, the initial `Cursor` to use, the `Image` to drag, the offset of the `Image` origin from the hotspot of the `Cursor` at the instant of the trigger, the `Transferable` subject data of the drag, the `DragSourceListener`, and the `FlavorMap`.
Constructors in java.awt.dnd with parameters of type Cursor
Modifier
Constructor
Description
``
`DragSourceContext(DragGestureEvent trigger, Cursor dragCursor, Image dragImage, Point offset, Transferable t, DragSourceListener dsl)`
Called from `DragSource`, this constructor creates a new `DragSourceContext` given the `DragSourceContextPeer` for this Drag, the `DragGestureEvent` that triggered the Drag, the initial `Cursor` to use for the Drag, an (optional) `Image` to display while the Drag is taking place, the offset of the `Image` origin from the hotspot at the instant of the triggering event, the `Transferable` subject data, and the `DragSourceListener` to use during the Drag and Drop operation.

## Uses of Cursor in javax.accessibility

Methods in javax.accessibility that return Cursor
Modifier and Type
Method
Description
`Cursor`
AccessibleComponent.`getCursor()`
Gets the cursor of this object.
Methods in javax.accessibility with parameters of type Cursor
Modifier and Type
Method
Description
`void`
AccessibleComponent.`setCursor(Cursor cursor)`
Sets the cursor of this object.

## Uses of Cursor in javax.swing

Methods in javax.swing that return Cursor
Modifier and Type
Method
Description
`Cursor`
JList.AccessibleJList.AccessibleJListChild.`getCursor()`
`Cursor`
JTable.AccessibleJTable.AccessibleJTableCell.`getCursor()`
Gets the `Cursor` of this object.
`Cursor`
JTree.AccessibleJTree.AccessibleJTreeNode.`getCursor()`
`Cursor`
JInternalFrame.`getLastCursor()`
Returns the last `Cursor` that was set by the `setCursor` method that is not a resizable `Cursor`.
Methods in javax.swing with parameters of type Cursor
Modifier and Type
Method
Description
`void`
JInternalFrame.`setCursor(Cursor cursor)`
Sets the cursor image to the specified cursor.
`void`
JList.AccessibleJList.AccessibleJListChild.`setCursor(Cursor c)`
`void`
JTable.AccessibleJTable.AccessibleJTableCell.`setCursor(Cursor c)`
Sets the `Cursor` of this object.
`void`
JTree.AccessibleJTree.AccessibleJTreeNode.`setCursor(Cursor c)`

## Uses of Cursor in javax.swing.table

Methods in javax.swing.table that return Cursor
Modifier and Type
Method
Description
`Cursor`
JTableHeader.AccessibleJTableHeader.AccessibleJTableHeaderEntry.`getCursor()`
Methods in javax.swing.table with parameters of type Cursor
Modifier and Type
Method
Description
`void`
JTableHeader.AccessibleJTableHeader.AccessibleJTableHeaderEntry.`setCursor(Cursor c)`

## Uses of Cursor in javax.swing.text.html

Methods in javax.swing.text.html that return Cursor
Modifier and Type
Method
Description
`Cursor`
HTMLEditorKit.`getDefaultCursor()`
Returns the default cursor.
`Cursor`
HTMLEditorKit.`getLinkCursor()`
Returns the cursor to use over hyper links.
Methods in javax.swing.text.html with parameters of type Cursor
Modifier and Type
Method
Description
`void`
HTMLEditorKit.`setDefaultCursor(Cursor cursor)`
Sets the default cursor.
`void`
HTMLEditorKit.`setLinkCursor(Cursor cursor)`
Sets the cursor to use over links.